package com.ssj.service.conch.schoolmaster.request;
import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
public class ForStudentRequest extends BaseRequest {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "studentId", value = "学生id", required = true)
    private String studentId;

    @ApiModelProperty(name = "subjectName", value = "科目名称", required = false)
    private String subjectName;

	@ApiModelProperty(name = "attendClassTime", value = "计划上课时间 时间格式yyyy-MM-dd HH:mm:ss", required = false)
	private String attendClassTime;
	
	@ApiModelProperty(name = "planId", value = "排课计划id", required = true)
	private String planId;

	public String getStudentId() {
		return studentId;
	}

	public void setStudentId(String studentId) {
		this.studentId = studentId;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public String getAttendClassTime() {
		return attendClassTime;
	}

	public void setAttendClassTime(String attendClassTime) {
		this.attendClassTime = attendClassTime;
	}

	public String getPlanId() {
		return planId;
	}

	public void setPlanId(String planId) {
		this.planId = planId;
	}
}
